=== debian/control ===
Source: ros-melodic-avt-vimba-camera
Section: misc
Priority: optional
Maintainer: Miquel Massot <miquel.massot@uib.cat>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-camera-info-manager, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-polled-camera, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/avt_vimba_ros
Standards-Version: 3.9.2

Package: ros-melodic-avt-vimba-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-camera-info-manager, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-proc, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-polled-camera, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-stereo-image-proc
Description: Wrapper of the Allied Vision Technologies (AVT) VIMBA Ethernet and Firewire SDK.
