=== debian/changelog ===
ros-melodic-avt-vimba-camera (1.2.0-1bionic) bionic; urgency=high

  * Add note about permanent buffer settings to the README (#91 <https://github.com/astuff/avt_vimba_camera/issues/91>)
  * Remove triggermode check (#84 <https://github.com/astuff/avt_vimba_camera/issues/84>)
  * Contributors: icolwell-as

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 08 Apr 2022 04:00:00 -0000

ros-melodic-avt-vimba-camera (1.1.0-1bionic) bionic; urgency=high

  * Add missing default handlers for two switch statement (#78 <https://github.com/astuff/avt_vimba_camera/issues/78>)
  * Fix a bug in function getTriggerModeInt() (#77 <https://github.com/astuff/avt_vimba_camera/issues/77>)
  * Add missing frame_id to camera_info topic, add missing stamp to image topic (#70 <https://github.com/astuff/avt_vimba_camera/issues/70>)
  * Remove sync node tidbit in README (#62 <https://github.com/astuff/avt_vimba_camera/issues/62>)
  * Add license file (#66 <https://github.com/astuff/avt_vimba_camera/issues/66>)
  * Clarify that this is the ROS1 driver README (#60 <https://github.com/astuff/avt_vimba_camera/issues/60>)
  * Remove sync node (#59 <https://github.com/astuff/avt_vimba_camera/issues/59>)
  * Added features required to run USB cameras (#54 <https://github.com/astuff/avt_vimba_camera/issues/54>)
  * Contributors: Grzegorz Bartyzel, icolwell-as, jilinzhouas

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 16 Feb 2022 05:00:00 -0000

ros-melodic-avt-vimba-camera (1.0.0-1bionic) bionic; urgency=high

  * Code Cleanup and Autoformat (#52 <https://github.com/astuff/avt_vimba_camera/issues/52>)
  * Improve rosout logging (#50 <https://github.com/astuff/avt_vimba_camera/issues/50>)
  * Improve README (#48 <https://github.com/astuff/avt_vimba_camera/issues/48>)
  * Parameter Refactor (#46 <https://github.com/astuff/avt_vimba_camera/issues/46>)
  * Use timestamp from image capture in ROS header (#41 <https://github.com/astuff/avt_vimba_camera/issues/41>)
  * Trigger over Ethernet (#39 <https://github.com/astuff/avt_vimba_camera/issues/39>)
  * Remove stereo camera code (#43 <https://github.com/astuff/avt_vimba_camera/issues/43>)
  * Update CI (#44 <https://github.com/astuff/avt_vimba_camera/issues/44>)
  * Update to VimbaCPP Version 1.8.4 (SDK version 5.0) (#36 <https://github.com/astuff/avt_vimba_camera/issues/36>)
  * Fixed 'escalating to SIGTERM' when closing (#22 <https://github.com/astuff/avt_vimba_camera/issues/22>)
  * Contributors: icolwell-as, vbrebion

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Tue, 30 Nov 2021 05:00:00 -0000

ros-melodic-avt-vimba-camera (0.0.12-1bionic) bionic; urgency=high

  * Fix MonoCamera nodelet (#16 <https://github.com/astuff/avt_vimba_camera/issues/16>)
  * Launch File Updates (#13 <https://github.com/astuff/avt_vimba_camera/issues/13>)
  * Remove duplicated launch file installs (#15 <https://github.com/astuff/avt_vimba_camera/issues/15>)
  * Brief README (#10 <https://github.com/astuff/avt_vimba_camera/issues/10>)
  * Add more pixelformats, thanks to @jmoreau-hds (#3 <https://github.com/astuff/avt_vimba_camera/issues/3>)
  * Contributors: icolwell-as

 -- Miquel Massot <miquel.massot@uib.cat>  Fri, 05 Jun 2020 04:00:00 -0000

ros-melodic-avt-vimba-camera (0.0.11-1bionic) bionic; urgency=high

  * Merge pull request #35 <https://github.com/astuff/avt_vimba_camera/issues/35> from willcbaker/feature/nodelet
    Feature/nodelet
  * Update nodelet launch files
  * Add nodelet
  * Fix #31 <https://github.com/astuff/avt_vimba_camera/issues/31>
  * Merge pull request #30 <https://github.com/astuff/avt_vimba_camera/issues/30> from chewwt/armv8
    add support for armv8
  * add support for armv8
  * Change frame observer to shared ptr
  * Contributors: Miquel Massot, Will Baker, ruth

 -- Miquel Massot <miquel.massot@uib.cat>  Mon, 19 Aug 2019 04:00:00 -0000

ros-melodic-avt-vimba-camera (0.0.10-1bionic) bionic; urgency=high

  * Merge pull request #26 <https://github.com/srv/avt_vimba_camera/issues/26> from 130s/k/add_ci
    [CI] Add config for ROS Kinetic (and Lunar as an option).
  * [CI] Add config for ROS Kinetic (and Lunar as an option).
  * Merge pull request #25 <https://github.com/srv/avt_vimba_camera/issues/25> from mintar/fix_open_camera
    Fix opening the camera
  * Simplify openCamera() logic
  * Open camera on init
    Without this patch, the camera is never opened. This bug was introduced in 63f868791.
  * Give more information to the user
  * Merge pull request #22 <https://github.com/srv/avt_vimba_camera/issues/22> from plusone-robotics/dyn_reconfig_fix
    Dynamic reconfigure fix
  * Fix #21 <https://github.com/srv/avt_vimba_camera/issues/21>: Retry camera opening and handle SIGINT
  * Changed file mode in order to build
  * Fixed crashing of dynamic reconfigure
  * Fixed dynamic reconfigure configuration that did not allow camera parameters to be updated
  * Fix call QueueFrame() method
  * Fix CPU overhead issue
  * Fix #18 <https://github.com/srv/avt_vimba_camera/issues/18>
  * Merge pull request #17 <https://github.com/srv/avt_vimba_camera/issues/17> from josepqp/kinetic
    Added ARM 32 to CMakeList.txt
  * Stop camera before destroy it
  * Added ARM 32
  * Merge branch 'kinetic' of github.com:srv/avt_vimba_camera into kinetic
  * Change variable scope
  * Fix #15 <https://github.com/srv/avt_vimba_camera/issues/15>: do not depend on turbot_configurations
  * Merge pull request #14 <https://github.com/srv/avt_vimba_camera/issues/14> from josepqp/kinetic
    
      * Added ARM 32 bits libraries
      * Modified CMakeList.txt to compile with ARM 32 bits
      * Added Iris Parameter
    
  * kinetization
  * Fix sync problems after camera tests
  * Add a sync timer
  * Try stereo image sync
  * Add a check timer
  * Fix #12 <https://github.com/srv/avt_vimba_camera/issues/12>: allow bigger resolutions
  * Fix camera info
  * Fix camera config
  * Fix camera info when decimation

